# GNOME_Magnifier-imodule.c File Reference

`#include <string.h>`
`#include "GNOME_Magnifier-common.c"`
`#include "GNOME_Magnifier.h"`
`#include <orbit/orb-core/orbit-small.h>`

Go to the source code of this file.

## Defines
#define | ORBIT_IDL_C_IMODULE_GNOME_Magnifier
## Variables
static CORBA_TypeCode | GNOME_Magnifier__itypes []
static ORBit_IInterface * | GNOME_Magnifier__iinterfaces []
ORBit_IModule | orbit_imodule_data

## Define Documentation

#define ORBIT_IDL_C_IMODULE_GNOME_Magnifier

Definition at line 6 of file GNOME_Magnifier-imodule.c.

## Variable Documentation

CORBA_TypeCode GNOME_Magnifier__itypes[]`[static]`

Initial value:

     {
            TC_Bonobo_EventSource_UnknownListener,
            TC_Bonobo_Pair,
            TC_Bonobo_PropertySet,
            TC_Bonobo_KeyList,
            TC_Bonobo_PropertyFlags,
            TC_Bonobo_PropertyBag_NotFound,
            TC_Bonobo_PropertyBag_InvalidType,
            TC_Bonobo_PropertyBag_ReadOnly,
            TC_Bonobo_PropertyBag_BackendFailed,
            TC_Bonobo_ConfigDatabase_DBFlags,
            TC_GNOME_Magnifier_Point,
            TC_GNOME_Magnifier_RectBounds,
            TC_GNOME_Magnifier_ZoomRegion_AlignPolicy,
            TC_GNOME_Magnifier_ZoomRegion_ScrollingPolicy,
            TC_GNOME_Magnifier_ZoomRegion_ColorBlindFilter,
            TC_GNOME_Magnifier_ZoomRegionList,
            NULL
    }

Definition at line 12 of file GNOME_Magnifier-imodule.c.

ORBit_IInterface* GNOME_Magnifier__iinterfaces[]`[static]`

Initial value:

     {
            &Bonobo_Listener__iinterface,
            &Bonobo_EventSource__iinterface,
            &Bonobo_PropertyBag__iinterface,
            &Bonobo_ConfigDatabase__iinterface,
            &GNOME_Magnifier_ZoomRegion__iinterface,
            &GNOME_Magnifier_Magnifier__iinterface,
            NULL
    }

Definition at line 32 of file GNOME_Magnifier-imodule.c.

ORBit_IModule orbit_imodule_data

Initial value:

     {
       20,
       GNOME_Magnifier__iinterfaces,
     { 16, 16, GNOME_Magnifier__itypes, FALSE }
    }

Definition at line 41 of file GNOME_Magnifier-imodule.c.